package org.wcs.constant.enums.database;

import lombok.Getter;

/**
 * 电子标签种类
 */
@Getter
public enum ETagTypeEnum {

    NUMBER_BUTTON_3(1, "3位数字带按钮"),
    NUMBER_BUTTON_7(2, "7位数字带按钮"),
    SCAN(3, "扫描枪"),
    LIGHT(4, "单色灯"),
    NUMBER_ENGLISH_BUTTON_12(5, "12位数字英文带按钮"),
    NUMBER_CHINESE_BUTTON_12(6, "12位数字中文带按钮");

    private final Integer code;
    private final String desc;

    ETagTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

}
